[gcompris] tools: added a tool to display the list of missing voices of a given language.



commit 75d9a6fe73504c807ceee8f965a04e8a790857f3
Author: Bruno Coudoin <bruno coudoin free fr>
Date:   Sat May 19 17:25:22 2012 +0200

    tools: added a tool to display the list of missing voices of a given language.

 tools/check_missing_intro.sh |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)
---
diff --git a/tools/check_missing_intro.sh b/tools/check_missing_intro.sh
new file mode 100755
index 0000000..b65896c
--- /dev/null
+++ b/tools/check_missing_intro.sh
@@ -0,0 +1,23 @@
+#! /bin/sh
+#
+# This scripts get the list of activities from the SQLite database
+# assuming GCompris has already been started one on this user account.
+# Given a locale name, it check that all the intro voices are present.
+#
+
+voicedir=$1
+if [ -z "$1" ] || [ ! -d $voicedir ]; then
+    echo "Usage: checkmissing_intro.sh <voice directory>"
+    echo "  e.g. checkmissing_intro.sh boards/voices/en"
+    exit 1
+fi
+
+request="select name from boards where type != 'menu' and section != '/experimental"\
+"' and name != 'tuxpaint' and name !='administration' and name !='login';"
+
+for name in `sqlite3 ~/.config/gcompris/gcompris_sqlite.db "$request"`; do
+    file="$voicedir/intro/$name.ogg"
+    if [ ! -f $file ]; then
+	echo "$file"
+    fi
+done



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]